Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Constants | Ctors | Methods | Inherited Methods | [Expand All]
public final class

# ConnectionResult

extends Object

java.lang.Object
↳ | com.google.android.gms.common.ConnectionResult

## Class Overview

Contains all possible error codes for when a client fails to connect to Google Play services. These error codes are used by `GooglePlayServicesClient.OnConnectionFailedListener`.

## Summary

Constants
int | DATE_INVALID | The device date is likely set incorrectly.
int | DEVELOPER_ERROR | The application is misconfigured.
int | DRIVE_EXTERNAL_STORAGE_REQUIRED | The Drive API requires external storage (such as an SD card), but no external storage is mounted.
int | INTERNAL_ERROR | An internal error occurred.
int | INVALID_ACCOUNT | The client attempted to connect to the service with an invalid account name specified.
int | LICENSE_CHECK_FAILED | The application is not licensed to the user.
int | NETWORK_ERROR | A network error occurred.
int | RESOLUTION_REQUIRED | Completing the connection requires some form of resolution.
int | SERVICE_DISABLED | The installed version of Google Play services has been disabled on this device.
int | SERVICE_INVALID | The version of the Google Play services installed on this device is not authentic.
int | SERVICE_MISSING | Google Play services is missing on this device.
int | SERVICE_VERSION_UPDATE_REQUIRED | The installed version of Google Play services is out of date.
int | SIGN_IN_REQUIRED | The client attempted to connect to the service but the user is not signed in.
int | SUCCESS | The connection was successful.

Public Constructors
| ConnectionResult(int statusCode, PendingIntent pendingIntent) Creates a connection result.

Public Methods
int | getErrorCode() Indicates the type of error that interrupted connection.
PendingIntent | getResolution() A pending intent to resolve the connection failure.
boolean | hasResolution() Returns true if calling `startResolutionForResult(Activity, int)` will start any intents requiring user interaction.
boolean | isSuccess() Returns true if the connection was successful.
void | startResolutionForResult(Activity activity, int requestCode) Resolves an error by starting any intents requiring user interaction.
String | toString()

[Expand] Inherited Methods

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

## Constants

#### public static final int DATE_INVALID

The device date is likely set incorrectly. This error is recoverable by the user updating the date.

Constant Value: 12 (0x0000000c)

#### public static final int DEVELOPER_ERROR

The application is misconfigured. This error is not recoverable and will be treated as fatal. The developer should look at the logs after this to determine more actionable information.

Constant Value: 10 (0x0000000a)

#### public static final int DRIVE_EXTERNAL_STORAGE_REQUIRED

The Drive API requires external storage (such as an SD card), but no external storage is mounted. This error is recoverable if the user installs external storage (if none is present) and ensures that it is mounted (which may involve disabling USB storage mode, formatting the storage, or other initialization as required by the device). This error should never be returned on a device with emulated external storage. On devices with emulated external storage, the emulated "external storage" is always present regardless of whether the device also has removable storage.

Constant Value: 1500 (0x000005dc)

#### public static final int INTERNAL_ERROR

An internal error occurred. Retrying should resolve the problem.

Constant Value: 8 (0x00000008)

#### public static final int INVALID_ACCOUNT

The client attempted to connect to the service with an invalid account name specified.

Constant Value: 5 (0x00000005)

#### public static final int LICENSE_CHECK_FAILED

The application is not licensed to the user. This error is not recoverable and will be treated as fatal.

Constant Value: 11 (0x0000000b)

#### public static final int NETWORK_ERROR

A network error occurred. Retrying should resolve the problem.

Constant Value: 7 (0x00000007)

#### public static final int RESOLUTION_REQUIRED

Completing the connection requires some form of resolution. A resolution will be available to be started with `startResolutionForResult(Activity, int)`. If the result returned is `RESULT_OK`, then further attempts to connect should either complete or continue on to the next issue that needs to be resolved.

Constant Value: 6 (0x00000006)

#### public static final int SERVICE_DISABLED

The installed version of Google Play services has been disabled on this device. The calling activity should pass this error code to `getErrorDialog(int, Activity, int)` to get a localized error dialog that will resolve the error when shown.

Constant Value: 3 (0x00000003)

#### public static final int SERVICE_INVALID

The version of the Google Play services installed on this device is not authentic.

Constant Value: 9 (0x00000009)

#### public static final int SERVICE_MISSING

Google Play services is missing on this device. The calling activity should pass this error code to `getErrorDialog(int, Activity, int)` to get a localized error dialog that will resolve the error when shown.

Constant Value: 1 (0x00000001)

#### public static final int SERVICE_VERSION_UPDATE_REQUIRED

The installed version of Google Play services is out of date. The calling activity should pass this error code to `getErrorDialog(int, Activity, int)` to get a localized error dialog that will resolve the error when shown.

Constant Value: 2 (0x00000002)

#### public static final int SIGN_IN_REQUIRED

The client attempted to connect to the service but the user is not signed in. The client may choose to continue without using the API or it may call `startResolutionForResult(Activity, int)` to prompt the user to sign in. After the sign in activity returns with `RESULT_OK` further attempts to connect should succeed.

Constant Value: 4 (0x00000004)

#### public static final int SUCCESS

The connection was successful.

Constant Value: 0 (0x00000000)

## Public Constructors

#### public ConnectionResult (int statusCode, PendingIntent pendingIntent)

Creates a connection result.

##### Parameters

statusCode | The status code.
pendingIntent | A pending intent that will resolve the issue when started, or null.

## Public Methods

#### public int getErrorCode ()

Indicates the type of error that interrupted connection.

##### Returns

- the error code, or `SUCCESS` if no error occurred.

#### public PendingIntent getResolution ()

A pending intent to resolve the connection failure. This intent can be started with `startIntentSenderForResult(IntentSender, int, Intent, int, int, int)` to present UI to solve the issue.

##### Returns

- The pending intent to resolve the connection failure.

#### public boolean hasResolution ()

Returns true if calling `startResolutionForResult(Activity, int)` will start any intents requiring user interaction.

##### Returns

- true if there is a resolution that can be started.

#### public boolean isSuccess ()

Returns true if the connection was successful.

##### Returns

- true if the connection was successful, false if there was an error.

#### public void startResolutionForResult (Activity activity, int requestCode)

Resolves an error by starting any intents requiring user interaction. See `SIGN_IN_REQUIRED`, and `RESOLUTION_REQUIRED`.

##### Parameters

activity | An Activity context to use to resolve the issue. The activity's onActivityResult method will be invoked after the user is done. If the resultCode is `RESULT_OK`, the application should try to connect again.
requestCode | The request code to pass to onActivityResult.

##### Throws

IntentSender.SendIntentException | If the resolution intent has been canceled or is no longer able to execute the request.

#### public String toString ()